Subject: [bmwg] WGLC: draft-ietf-bmwg-igp-dataplane drafts

From: Al Morton <[email-masked]>
Date: Tue, 14 Jul 2009 13:44:15 -0400

BMWG,

This message begins a Last call on the IGP-Dataplane Convergence
Time Benchmarking drafts.

http://tools.ietf.org/html/draft-ietf-bmwg-igp-dataplane-conv-term-18
http://tools.ietf.org/html/draft-ietf-bmwg-igp-dataplane-conv-meth-18
http://tools.ietf.org/html/draft-ietf-bmwg-igp-dataplane-conv-app-17

The Last Call with end on July 31, 2009.

This is *another* topic we've been discussing in BMWG
as long as I have been chairman.  The state of the art advanced
while we were developing these drafts, and hopefully now they
are fully in-sync and relevant.  The term and meth drafts
have been substantially revised in the -18- versions.

Please weigh-in on whether or not these Internet-Drafts
should be given to the Area Directors and IESG for consideration and
publication as an Informational RFCs.  Send your comments
to this list or [email-masked].

Al
bmwg chair

---

From: Al Morton <[email-masked]>
Date: Wed, 15 Jul 2009 11:57:46 -0400

At 01:44 PM 7/14/2009, Al Morton wrote:
>...This message begins a Last call on the IGP-Dataplane Convergence
>The Last Call will end on July 31, 2009.

Comments on terms-18,
Al (mostly as participant, as chair for section 4)

I think we now need a definition of the "Start Traffic Instant" mentioned
first in section 3.6.3.  It should be defined up-front and probably
included in Figure 1.

Section 3.5.1
s/The Offered Load SHOULD consists /The Offered Load SHOULD consist /

s/Packet Sampling Interval is too high./Packet Sampling Interval is too large./

Section 3.5.2
s/The Offered Load SHOULD consists /The Offered Load SHOULD consist /

Section 3.6.5
s/Event, traffic for all routes /Event, when traffic for all routes /

Section 3.6.6
s/Event, traffic for all routes /Event, when traffic for all routes /

Section 3.7.6
OLD
    ...The BMWG selected 5 seconds based upon RFC 2544 [Br99]
    which recommends waiting 2 seconds for residual frames to arrive
NEW
    ...The BMWG selected 5 seconds based upon RFC 2544 [Br99]
    which recommends waiting 2 seconds for residual frames to arrive
    (this is the Forwarding Delay Threshold for the last packet sent)

Section 4 Security Considerations
What's all this about SIP?
I suggest to use the "standard" BMWG paragraphs:
>    Benchmarking activities as described in this memo are limited to
>    technology characterization using controlled stimuli in a laboratory
>    environment, with dedicated address space and the constraints
>    specified in the sections above.
>
>    The benchmarking network topology will be an independent test setup
>    and MUST NOT be connected to devices that may forward the test
>    traffic into a production network, or misroute traffic to the test
>    management network.
>
>    Further, benchmarking is performed on a "black-box" basis, relying
>    solely on measurements observable external to the DUT/SUT.
>
>    Special capabilities SHOULD NOT exist in the DUT/SUT specifically for
>    benchmarking purposes.  Any implications for network security arising
>    from the DUT/SUT SHOULD be identical in the lab and in production
>    networks.

---

From: "Kris Michielsen" <[email-masked]>
Date: Fri, 17 Jul 2009 16:51:51 +0200

Al,

Many thanks for reviewing the draft!

See below.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Al Morton
> Sent: 15 July 2009 17:58
> To: [email-masked]
> Subject: Re: [bmwg] WGLC: draft-ietf-bmwg-igp-dataplane drafts
> 
> I think we now need a definition of the "Start Traffic 
> Instant" mentioned first in section 3.6.3.  It should be 
> defined up-front and probably included in Figure 1.

I added:
---
3.2.1.  Traffic Start Instant

   Definition:

   The time instant the Tester sends out the first data packet to the
   DUT.

   Discussion:

   If using the Loss-Derived Method or the Route-Specific Loss-Derived
   Method to benchmark IGP convergence time, and the applied Convergence
   Event does not cause instantaneous traffic loss for all routes at the
   Convergence Event Instant then the Tester SHOULD collect a timestamp
   on the Traffic Start Instant in order to measure the period of time
   between the Traffic Start Instant and Convergence Event Instant.

   Measurement Units:

   hh:mm:ss:nnn:uuu, where 'nnn' is milliseconds and 'uuu' is
   microseconds.

   Issues: None

   See Also:

   Convergence Event Instant, Route-Specific Convergence Time, Loss-
   Derived Convergence Time.
---

I also marked the instant in figure 1

> s/The Offered Load SHOULD consists /The Offered Load SHOULD consist / 

I corrected the above

> s/Event, traffic for all routes /Event, when traffic for all routes /

Would it be better/more clear if I rephrase the sentence as follows?
OLD:
The Route Loss of Connectivity Period may be equal to the Route-Specific Convergence Time if, as a characteristic of the Convergence
Event, traffic for all routes starts dropping instantaneously on the Convergence Event Instant.

NEW:
The Route Loss of Connectivity Period may be equal to the Route-Specific Convergence Time if traffic for all routes starts dropping
instantaneously on the Convergence Event Instant as a characteristic of the Convergence Event.

> s/Event, traffic for all routes /Event, when traffic for all routes /

Same as 3.6.5 comment above.

>     which recommends waiting 2 seconds for residual frames to 
> arrive NEW

OK

> >    from the DUT/SUT SHOULD be identical in the lab and in production
 
I corrected it as you suggested.

Kris

> 
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bmwg
>

---

From: Al Morton <[email-masked]>
Date: Fri, 17 Jul 2009 14:34:34 -0400

works for me,
Al
At 10:51 AM 7/17/2009, Kris Michielsen wrote:
>NEW:
>The Route Loss of Connectivity Period may be equal to the 
>Route-Specific Convergence Time if traffic for all routes starts dropping

---

From: "McLendon, John" <[email-masked]>
Date: Fri, 17 Jul 2009 11:36:04 -0700

Me too.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Al Morton
Sent: Friday, July 17, 2009 2:35 PM
To: Kris Michielsen; [email-masked]
Subject: Re: [bmwg] WGLC: draft-ietf-bmwg-igp-dataplane drafts

works for me,
Al

<DIV><FONT size="1">

E-mail confidentiality.
--------------------------------
This e-mail contains confidential and / or privileged information belonging to Spirent Communications plc, its affiliates and / or subsidiaries. If you are not the intended recipient, you are hereby notified that any disclosure, copying, distribution and / or the taking of any action based upon reliance on the contents of this transmission is strictly forbidden. If you have received this message in error please notify the sender by return e-mail and delete it from your system. If you require assistance, please contact our IT department at [email-masked].

Spirent Communications plc,
Northwood Park, Gatwick Road, Crawley, West Sussex, RH10 9XN, United Kingdom.
Tel No. +44 (0) 1293 767676
Fax No. +44 (0) 1293 767677

Registered in England Number 470893
Registered at Northwood Park, Gatwick Road, Crawley, West Sussex, RH10 9XN, United Kingdom.

Or if within the US,

Spirent Communications,
26750 Agoura Road, Calabasas, CA, 91302, USA.
Tel No. 1-818-676- 2300 

</FONT></DIV>

---

From: "Tom Petch" <[email-masked]>
Date: Sat, 18 Jul 2009 12:33:23 +0200

Just picking up on 3.6.5 and 3.6.6, no!;-)

I think that the original 3.6.6. is just fine and wonder if Al has misread it in
the light of 3.6.5.

3.6.5 does need amending to bring in line with 3.6.6 but it is an additional
'if' that is needed not a 'when', in just the place where 3.6.6 has one.

Your reformulation I find less clear; better for clarity to put that conditional
clause earlier rather than later, as you originally did.

Tom Petch

----- Original Message -----
From: "Kris Michielsen" <[email-masked]>
To: "'Al Morton'" <[email-masked]>; <[email-masked]>
Sent: Friday, July 17, 2009 4:51 PM
Subject: Re: [bmwg] WGLC: draft-ietf-bmwg-igp-dataplane drafts

> The Route Loss of Connectivity Period may be equal to the Route-Specific
Convergence Time if, as a characteristic of the Convergence
> The Route Loss of Connectivity Period may be equal to the Route-Specific
Convergence Time if traffic for all routes starts dropping

---

From: Al Morton <[email-masked]>
Date: Sat, 18 Jul 2009 08:38:01 -0400

Hi Tom,

Thanks for carefully reading all of this, much appreciated.
>'if' that is needed not a 'when', in just the place where 3.6.6 has one.

I agree, the fact is that I didn't notice the text in 3.6.6
included the conditional aspect I sought to add in 3.6.5
(where the "if" is missing), as you suspected.

So Kris, if you add the "if" in 3.6.5 as in 3.6.6, I think we have
a deal.

regards,
Al

---

From: "Kris Michielsen" <[email-masked]>
Date: Mon, 20 Jul 2009 13:23:33 +0200

Tom,

Thanks for pointing this out!

I'll do as you and Al suggested.

Thanks,
Kris

> From: Al Morton [mailto:[email-masked]] 
> Sent: 18 July 2009 14:38
> To: Tom Petch; Kris Michielsen; [email-masked]
> >3.6.5 does need amending to bring in line with 3.6.6 but it is an 
> >additional 'if' that is needed not a 'when', in just the 
> place where 3.6.6 has one.
> 
> So Kris, if you add the "if" in 3.6.5 as in 3.6.6, I think we 
> have a deal.
> 
> regards,
> Al
> 
> >I think that the original 3.6.6. is just fine and wonder if Al has 
> >misread it in the light of 3.6.5.
> >
> >3.6.5 does need amending to bring in line with 3.6.6 but it is an 
> >additional 'if' that is needed not a 'when', in just the 
> place where 3.6.6 has one.
> >
> >Your reformulation I find less clear; better for clarity to put that 
> >conditional clause earlier rather than later, as you originally did.
> >
> >Tom Petch
> >
> >
> > > > >...This message begins a Last call on the IGP-Dataplane 
> > > > >Convergence Time Benchmarking drafts.
> > > > >
> > > > 
> > > > I think we now need a definition of the "Start Traffic Instant" 
> > > > mentioned first in section 3.6.3.  It should be defined 
> up-front 
> > > > and probably included in Figure 1.
> > >
> > > I added:
> > > ---
> > > > s/Packet Sampling Interval is too high./Packet Sampling 
> Interval 
> > > > is too large./
> > > >
> > > > Section 3.5.2
> > > Route-Specific
> > > Event, traffic for all routes starts dropping 
> instantaneously on the
> >Convergence Event Instant.
> > >
> > > NEW:
> > > Route-Specific
> > > instantaneously on the Convergence Event Instant as a 
> characteristic 
> > > of the
> >Convergence Event.
> > >
> > > >
> > > > Section 3.6.6